Can't install the python client

Post here to get support
Post Reply
mosomedve
Beginner
Posts: 3
Joined: Tue Jul 18, 2017 1:29 pm

Can't install the python client

Post by mosomedve » Wed Nov 06, 2019 1:57 pm

Hello,

I am trying to install the crazyflie client on Windows 10 using the manual on https://github.com/bitcraze/crazyflie-clients-python.

However, during the installation (at pip install -e .[dev,qt5]), I get the following error message at some point:
"error: file 'C:\Users\User\AppData\Local\Temp\pip-install-akjfpxyp\cx-freeze\cxfreeze-postinstall' does not exist"
(detailed log: https://pastebin.com/Mp1zXUiu)

I tried to install cxfreeze manually, but it seems like it doesn't matter since the setup tries to install it again during the process. I also tried different versions of python, none of them worked so far. Google was not helpful either, I didn't find any way to resolve the issue.

I would appreciate a solution since I am stuck with this problem for a couple of hours now.



arnaud
Bitcraze
Posts: 2127
Joined: Tue Feb 06, 2007 12:36 pm

Re: Can't install the python client

Post by arnaud » Wed Nov 06, 2019 2:46 pm

Hi,
Try installing without dev (pip install -e.[qt5]), if the problem only comes from cx_freeze it will work. Cx_freeze is only needed if you want to build windows installer for the client which is not required just to run it.

I think the problem for cx_freeze might come from the fact that cx_freeze 5.1 does not support Python 3.7, we use Python 3.6 to build to client. Cx_freeze 6.0 supports Python 3.7 but cannot build the client installer with the current configuration (I created a ticket about that on github).

Please confirm if it works installing without dev, if so I will update the readme.

Post Reply